package com.hai.service;

import com.hai.entity.HighMerchantStore;

import java.math.BigDecimal;

/**
 * 加油站服务
 */
public interface HighGasService {

    /**
     * 获取渠道商【加好油】全量加油站
     */
    void getJiaHaoYouAllStation() throws Exception;

    /**
     * 获取渠道商【金猪加油】全量加油站
     */
    void getJinZhuAllStation() throws Exception;

    /**
     * 根据商户id查询账户余额
     * @param merId
     * @return
     */
    BigDecimal getMerPriceByMerId(Long merId);

}
